<?PHP

/* ====================
Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=plugins/managerpages/managerpages.php
Version=101
Updated=2006-mar-15
Type=Plugin
Author=Neocrome
Description=
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=managerpages
Part=admin
File=managerpages.admin
Hooks=tools
Tags=
Order=10
[END_SED_EXTPLUGIN]

==================== */

if (!defined('SED_CODE')) { die('Wrong URL.'); }

require ('plugins/managerpages/lang/managerpages.'.$usr['lang'].'.lang.php');

$plugin_title = $L['plu_title'] ;

switch ($a)
	{
	/* =============== */
	case 'move':
	/* =============== */

	sed_check_xg();
	$oldcat = sed_import('oldcat', 'P', 'STX');
	$newcat = sed_import('newcat', 'P', 'STX');

	if (!$oldcat || !$newcat)
		{
	   	sed_die();
		}
	else
		{
		$sql = sed_sql_query("UPDATE $db_pages SET page_cat='$newcat' WHERE page_cat='$oldcat'");
		$plugin_body .= "<p>".$L['adm_done']." : ".sed_sql_affectedrows()." ".$L['Pages']."</p>";
		}

	break;

	/* =============== */
	case 'delete':
	/* =============== */

	sed_check_xg();
	$delcat = sed_import('delcat', 'P', 'STX');

	if 	(!$delcat)
		{
	   	sed_die();
		}
	else
		{
		$sql = sed_sql_query("DELETE FROM $db_pages WHERE page_cat='$delcat'");
		$plugin_body .= "<p>".$L['adm_done']." : ".sed_sql_affectedrows()." ".$L['Pages']."</p>";
		}

	break;

	/* =============== */
	case 'duplicate':
	/* =============== */

	sed_check_xg();
	$sourcepage = sed_import('sourcepage', 'P', 'INT');

	if (!$sourcepage)
		{
		sed_die();
		}
	else
		{
		$sql = sed_sql_query("SELECT * FROM $db_pages WHERE page_id='$sourcepage'");
		if ($row = sed_sql_fetcharray($sql))
			{
			$sql = sed_sql_query("INSERT into $db_pages
			(page_state,
			page_type,
			page_cat,
			page_key,
			page_extra1,
			page_extra2,
			page_extra3,
			page_extra4,
			page_extra5,
			page_title,
			page_desc,
			page_text,
			page_author,
			page_ownerid,
			page_date,
			page_begin,
			page_expire,
			page_file,
			page_url,
			page_size,
			page_alias)
			VALUES
			(1,
			0,
			'".sed_sql_prep($row['page_cat'])."',
			'".sed_sql_prep($row['page_key'])."',
			'".sed_sql_prep($row['page_extra1'])."',
			'".sed_sql_prep($row['page_extra2'])."',
			'".sed_sql_prep($row['page_extra3'])."',
			'".sed_sql_prep($row['page_extra4'])."',
			'".sed_sql_prep($row['page_extra5'])."',
			'".sed_sql_prep($row['page_title'])."',
			'".sed_sql_prep($row['page_desc'])."',
			'".sed_sql_prep($row['page_text'])."',
			'".sed_sql_prep($row['page_author'])."',	
			".$row['page_ownerid'].",
			".$row['page_date'].",
			".$row['page_begin'].",
			".$row['page_expire'].",
			".$row['page_file'].",
			'".sed_sql_prep($row['page_url'])."',
			'".sed_sql_prep($row['page_size'])."',
			'')");

			$plugin_body .= "<p>".$L['adm_done']." (".sed_sql_affectedrows().") : ";
			$insid = sed_sql_insertid();
			$plugin_body .= " <a href=page.php?id=".$insid.">".$L['Page']." #".$insid."</a>";
			$plugin_body .= "</p>";
			}
		else
			{
			sed_die();
			}
		}

	break;

	default:

	$plugin_body .= "<p><form id=\"tool1\" action=\"admin.php?m=tools&amp;p=managerpages&amp;a=move&amp;".sed_xg()."\" method=\"post\">";
	$plugin_body .= $L['plu_movepages']." ";
	$plugin_body .= $L['adm_from']." ".sed_selectbox_categories('', 'oldcat')." &nbsp; &nbsp; ";
	$plugin_body .= $L['adm_to']." ".sed_selectbox_categories('', 'newcat')." &nbsp; &nbsp; ";
	$plugin_body .= "<input type=\"submit\" class=\"submit\" value=\"".$L['Move']."\" /></form></p>";

	$plugin_body .= "<p><form id=\"tool2\" action=\"admin.php?m=tools&amp;p=managerpages&amp;a=delete&amp;".sed_xg()."\" method=\"post\">";
	$plugin_body .= $L['plu_deletepages']." &nbsp; &nbsp; ";
	$plugin_body .= $L['adm_from']." ".sed_selectbox_categories('', 'delcat')." &nbsp; &nbsp; ";
	$plugin_body .= "<input type=\"submit\" class=\"submit\" value=\"".$L['Delete']."\" /></form></p>";

	$plugin_body .= "<p><form id=\"tool3\" action=\"admin.php?m=tools&amp;p=managerpages&amp;a=duplicate&amp;".sed_xg()."\" method=\"post\">";
	$plugin_body .= $L['plu_duplicate']." # <input type=\"text\" class=\"text\" name=\"sourcepage\" size=\"6\" maxlength=\"16\" /> &nbsp; &nbsp; ";
	$plugin_body .= "<input type=\"submit\" class=\"submit\" value=\"".$L['Duplicate']."\" /></form></p>";

	break;

}

?>
